<?php

namespace App\Models;

use DB;

class Vendedor
{
    public static function obtenVendedor($rut_vendedor, $rut_emisor)
    {
        return DB::table('vendedores')
            ->where('RUT_VENDEDOR', '=', $rut_vendedor)
            ->whereRaw('RUT_EMPRESA = \''.$rut_emisor.'\'')
            ->first();
    }
    public static function obtenVendedorWoopy($rut_vendedor, $rut_emisor)
    {
        return DB::table('vendedores')
            ->where('RUT_VENDEDOR', '=', $rut_vendedor)
            ->whereRaw('RUT_EMPRESA = \''.$rut_emisor.'\'')
            ->whereRaw('woopy = 1')
            ->first();
    }
}
